TP-LINK TL-WDR3600 HDD sharing, OPTWARE, DLNA, Torrent

Post new topic   Reply to topic    DD-WRT Forum Forum Index -> Atheros WiSOC based Hardware
Goto page Previous  1, 2, 3 ... 28, 29, 30
Author Message
iury
DD-WRT Novice


Joined: 21 Jun 2017
Posts: 1

PostPosted: Wed Jun 21, 2017 21:46    Post subject: Reply with quote
I'm stuck at the libc installation, I just get

ipkg_install_file: ERROR: File not found

I'm running build 25697 on the WDR4300... I had to put the files on /tmp via copy from the usb, as my wget is broken...

Someone can recommend a working build?
Sponsor
sibero80
DD-WRT Novice


Joined: 16 Jul 2017
Posts: 1

PostPosted: Sun Jul 16, 2017 3:01    Post subject: Learnings Reply with quote
Hello people! I just followed msantos2007 guide, and here are some notes for following his instructions.

1. Update the IPK's url's to match current versions.
Some of his packages are now in a higher version, so his commands may fail because of old URL's. Check the http://downloads.openwrt.org/snapshots/trunk/ar71xx/generic/packages/base/ listing and update accordingly. Also, change HTTPS to HTTP, so wget wont fail.

2. functions.sh is a PITA to create using VI.
My OPKG installs were failing due to a functions.sh error. After checking, my copy-paste of the file, was a mess.
Solution: download the file to a samba share, and copy paste the file to the LIB folder.

3. Check your USB or HDD route.
The mount adress of your device may be different from the guide. Check in the GUI for the correct mount point.

As for me, evertyhing is running smoothly!

Thanks a lot!
yarik2720
DD-WRT Novice


Joined: 13 Mar 2016
Posts: 4

PostPosted: Wed Jul 19, 2017 17:00    Post subject: Reply with quote
Does anyone have success with installing optware on build 32170 (06/01/17)?
That guide worked for me till build 30949 and I was need to update to get working 5GHz WiFi.
But when I'm trying to install libc it fails:

Code:
# ipkg -d / install libc_0.9.33.2-1_ar71xx.ipk
ERROR: File not found: //usr/local/lib/ipkg/lists/barrier_breaker
       You probably want to run `ipkg update'
ipkg_install_file: ERROR unpacking control.tar.gz from libc_0.9.33.2-1_ar71xx.ipk

Any solution or I need to wait for build fixes?

edit: works again on build r33006 (08/03/17)


Last edited by yarik2720 on Sun Aug 06, 2017 7:47; edited 1 time in total
HoerMirAuf
DD-WRT Novice


Joined: 05 Jul 2017
Posts: 2

PostPosted: Sun Jul 23, 2017 10:59    Post subject: Reply with quote
Thanks for this Manual ..

tryed to install opkg on a wr710N

opkg update is working and it downloads some files to:

Quote:
/opt/tmp/var/opkg-lists


but if i am trying to install mimidlna

Quote:
opkg install minidlna
i get the error:

Quote:
Collected errors:
* gz_open: fork: Out of memory.
* pkg_hash_add_from_file: Failed to open /opt/tmp/var/opkg-lists/designated_driver_management: Out of memory.


Whats wrong? Can anybody explain please?
petoniano
DD-WRT Novice


Joined: 09 Aug 2011
Posts: 31

PostPosted: Tue Aug 08, 2017 22:20    Post subject: Reply with quote
Working for me in an Archer C7 v2, on 33006

I think it´s the first one with busybox 1.27 that has the Wget bug fixed.

Just change the name of the files to the latest ones on the repository
SaddFox
DD-WRT Novice


Joined: 08 Mar 2016
Posts: 24

PostPosted: Fri Sep 15, 2017 16:43    Post subject: Reply with quote
I have managed to successfully follow the instructions (changing links that were broken with newer ones).
I got stuck trying to install minidlna. It says package not found. Checking the repository, I found out it's not even there, it's only available in barrier_breaker/14.07-rc3 and even that is an outdated 1.1.3-1 version.
Trying to get transmission working (it works fine, need manual startup, I could just modify startup script).
Anyways, my point is, is it normal that a package is missing, and should I just wait, or use the old one by using different repo?
ian5142
DD-WRT Guru


Joined: 23 Oct 2013
Posts: 1995
Location: Canada

PostPosted: Fri Sep 15, 2017 20:35    Post subject: Entware 3X Reply with quote
I tried Optware, then I found Entware, it is much better.

https://github.com/Entware-for-kernel-3x/Entware-ng-3x/wiki/General-installation-notes

It has miniDLNA 1.1.6, not the newest (1.2.1) but newer.

_________________
Before asking a question on the forums, update dd-wrt: Where do I download firmware? I suggest reading it all.

Some dd-wrt wiki pages are up to date, others are not. PM me if you find an old one, I am trying to update them.

Atheros:
TP-Link Archer C7 v2 x2 - WDS AP, WDS Station
TP-Link TL-WDR3600 v1 - WDS Station
TP-Link 841nd v8 - WDS Station
Linksys WRT400N - bricked
D-Link 615 C1 x 4 - not used
D-Link 615 E3 x 2 - WDS Station
D-Link 825 B1 - WDS Station
D-Link 862L A1 - WDS Station (Entware 3X)
Netgear WNDR3700v2 - WDS Station
TP-Link 1043nd v1, inactive, unstable hardware
UBNT loco M2 x2 - airOS

Broadcom
Asus N66U - backup Gateway
Netgear r6300 v1 - AP
Linksys E2500 - not used
Linksys EA2700 - not used
Linksys 160N v3 x2 - not used
Netgear WNDR3700v3 - not used
MediaTek
UBNT EdgeRouter X - Gateway, DHCP, QoS
SaddFox
DD-WRT Novice


Joined: 08 Mar 2016
Posts: 24

PostPosted: Fri Sep 15, 2017 22:01    Post subject: Re: Entware 3X Reply with quote
ian5142 wrote:
I tried Optware, then I found Entware, it is much better.

https://github.com/Entware-for-kernel-3x/Entware-ng-3x/wiki/General-installation-notes

It has miniDLNA 1.1.6, not the newest (1.2.1) but newer.


I am mostly trying to setup Transmission (or rTorrent) on my Archer c7 v2. Having DLNA/Samba is kind of a must with that. I guess old miniDLNA would work fine, otherwise I'll just wait for one to show up in the main repo.
Anyways, since I am first setting all this up, I might as well try alternatives. Is there any good tutorial for Entware, similar to this (if the whole setup is a complex as this one I will sure need it Smile).
Tamas222
DD-WRT Novice


Joined: 27 Aug 2014
Posts: 15

PostPosted: Sat Jan 06, 2018 17:22    Post subject: Reply with quote
I would like to inform everyone to save time and energy, that after trying lots of lots of lots of newer builds, I was able to successfully install all systems and run them with high stability on my WDR4300 with build 27858.
Firmware: DD-WRT v3.0-r27858 std (09/28/15)
ian5142
DD-WRT Guru


Joined: 23 Oct 2013
Posts: 1995
Location: Canada

PostPosted: Sat Jan 06, 2018 17:38    Post subject: Entware 3X Reply with quote
It is just easier to use Entware.

Also, I would never suggest running such an old build, even if it is just because you want to run Optware, instead of Entware.

_________________
Before asking a question on the forums, update dd-wrt: Where do I download firmware? I suggest reading it all.

Some dd-wrt wiki pages are up to date, others are not. PM me if you find an old one, I am trying to update them.

Atheros:
TP-Link Archer C7 v2 x2 - WDS AP, WDS Station
TP-Link TL-WDR3600 v1 - WDS Station
TP-Link 841nd v8 - WDS Station
Linksys WRT400N - bricked
D-Link 615 C1 x 4 - not used
D-Link 615 E3 x 2 - WDS Station
D-Link 825 B1 - WDS Station
D-Link 862L A1 - WDS Station (Entware 3X)
Netgear WNDR3700v2 - WDS Station
TP-Link 1043nd v1, inactive, unstable hardware
UBNT loco M2 x2 - airOS

Broadcom
Asus N66U - backup Gateway
Netgear r6300 v1 - AP
Linksys E2500 - not used
Linksys EA2700 - not used
Linksys 160N v3 x2 - not used
Netgear WNDR3700v3 - not used
MediaTek
UBNT EdgeRouter X - Gateway, DHCP, QoS
paira
DD-WRT Novice


Joined: 14 Jan 2018
Posts: 1

PostPosted: Sun Jan 14, 2018 7:13    Post subject: Re: Entware 3X Reply with quote
ian5142 wrote:
It is just easier to use Entware.

Also, I would never suggest running such an old build, even if it is just because you want to run Optware, instead of Entware.


I´m desesperate. I have this router for 3 years and I never update it, transmission, samba, minidnla work for me.

Now I update and I cant install transmission or...dlna or samba because I have errors...

for example this links dont work for me...

wget http://downloads.openwrt.org/barrier_breaker/14.07-rc3/ar71xx/generic/packages/uclibcxx_0.2.4-1_ar71xx.ipk
wget http://downloads.openwrt.org/barrier_breaker/14.07-rc3/ar71xx/generic/packages/libc_0.9.33.2-1_ar71xx.ipk
wget http://downloads.openwrt.org/barrier_breaker/14.07-rc3/ar71xx/generic/packages/opkg_9c97d5ecd795709c8584e972bfdf3aee3a5b846d-7_ar71xx.ipk

I always have errors....

root@DD-WRT /tmp $ ipkg -d / install libc_0.9.33.2-1_ar71xx.ipk
ipkg_depends: ERROR: Package name libc_0.9.33.2-1_ar71xx.ipk contains illegal characters (should be [a-z0-9.+-])
Unpacking libc_0.9.33.2-1_ar71xx.ipk...Done.
Configuring libc_0.9.33.2-1_ar71xx.ipk...Done.

Downloading http://downloads.openwrt.org/barrier_breaker/14.07/ar71xx/generic/packages/base/Packages.gz.
Updated list of available packages in /opt/tmp/var/opkg-lists/base.
Collected errors:
* opkg_conf_parse_file: /etc/opkg.conf:6: Ignoring invalid line: `EOF '


I need help, could you put a new guide?
ian5142
DD-WRT Guru


Joined: 23 Oct 2013
Posts: 1995
Location: Canada

PostPosted: Sun Jan 14, 2018 14:32    Post subject: Entware 3X Reply with quote
Entware 3X install: https://www.dd-wrt.com/wiki/index.php/Installing_Entware-3X

The big thing is to determine what install script to use, ARMv7 (for dual core routers), MIPS for Atheros non-dual core routers, mipsel for Broadcom non-dual core routers.

_________________
Before asking a question on the forums, update dd-wrt: Where do I download firmware? I suggest reading it all.

Some dd-wrt wiki pages are up to date, others are not. PM me if you find an old one, I am trying to update them.

Atheros:
TP-Link Archer C7 v2 x2 - WDS AP, WDS Station
TP-Link TL-WDR3600 v1 - WDS Station
TP-Link 841nd v8 - WDS Station
Linksys WRT400N - bricked
D-Link 615 C1 x 4 - not used
D-Link 615 E3 x 2 - WDS Station
D-Link 825 B1 - WDS Station
D-Link 862L A1 - WDS Station (Entware 3X)
Netgear WNDR3700v2 - WDS Station
TP-Link 1043nd v1, inactive, unstable hardware
UBNT loco M2 x2 - airOS

Broadcom
Asus N66U - backup Gateway
Netgear r6300 v1 - AP
Linksys E2500 - not used
Linksys EA2700 - not used
Linksys 160N v3 x2 - not used
Netgear WNDR3700v3 - not used
MediaTek
UBNT EdgeRouter X - Gateway, DHCP, QoS
msantos2007
DD-WRT User


Joined: 13 Oct 2009
Posts: 219

PostPosted: Sun Feb 25, 2018 3:21    Post subject: New Post Reply with quote
That's right. Entware is simpler.

This is a new (2018) update: https://www.dd-wrt.com/phpBB2/viewtopic.php?p=1119262#1119262


Thanx!
Marcelo.
blad3
DD-WRT Novice


Joined: 23 Nov 2015
Posts: 3

PostPosted: Mon Jun 25, 2018 14:12    Post subject: Reply with quote
Transmission can't download torrents. Any suggestions what could be wrong?

Quote:

root@DD-WRT /tmp/mnt/sda2/root/.config/transmission-daemon $ transmission-daemon -f
[2018-06-25 15:59:50.302] tr_crypto_utils OpenSSL error: error:24064064:lib(36):func(100):reason(100) (crypto-utils-openssl.c:407)
[2018-06-25 15:59:50.302] Transmission 2.92 (0) started (session.c:767)
[2018-06-25 15:59:50.302] RPC Server Adding address to whitelist: 192.168.1.* (rpc-server.c:878)
[2018-06-25 15:59:50.303] RPC Server Serving RPC and Web requests on 0.0.0.0:9091/transmission/ (rpc-server.c:1123)
[2018-06-25 15:59:50.303] RPC Server Password required (rpc-server.c:1133)
[2018-06-25 15:59:50.303] UDP Failed to set receive buffer: requested 4194304, got 344064 (tr-udp.c:97)
[2018-06-25 15:59:50.303] UDP Please add the line "net.core.rmem_max = 4194304" to /etc/sysctl.conf (tr-udp.c:99)
[2018-06-25 15:59:50.303] UDP Failed to set send buffer: requested 1048576, got 344064 (tr-udp.c:105)
[2018-06-25 15:59:50.303] UDP Please add the line "net.core.wmem_max = 1048576" to /etc/sysctl.conf (tr-udp.c:107)
[2018-06-25 15:59:50.303] DHT Reusing old id (tr-dht.c:383)
[2018-06-25 15:59:50.303] tr_crypto_utils OpenSSL error: error:24064064:lib(36):func(100):reason(100) (crypto-utils-openssl.c:407)
[2018-06-25 15:59:50.303] DHT Bootstrapping from 82 IPv4 nodes (tr-dht.c:172)
[2018-06-25 15:59:50.304] Using settings from "/tmp/root/.config/transmission-daemon" (daemon.c:642)
[2018-06-25 15:59:50.304] Saved "/tmp/root/.config/transmission-daemon/settings.json" (variant.c:1199)
[2018-06-25 15:59:50.304] transmission-daemon requiring authentication (daemon.c:669)
[2018-06-25 15:59:50.304] Loaded 3 torrents (session.c:2172)
[2018-06-25 15:59:50.304] Port Forwarding (NAT-PMP) initnatpmp succeeded (0) (natpmp.c:73)
[2018-06-25 15:59:50.304] Port Forwarding (NAT-PMP) sendpublicaddressrequest succeeded (2) (natpmp.c:73)
[2018-06-25 15:59:58.302] Port Forwarding Starting (port-forwarding.c:107)
[2018-06-25 15:59:58.302] tr_crypto_utils OpenSSL error: error:24064064:lib(36):func(100):reason(100) (crypto-utils-openssl.c:407)
[2018-06-25 15:59:58.302] tr_crypto_utils OpenSSL error: error:24064064:lib(36):func(100):reason(100) (crypto-utils-openssl.c:407)
[2018-06-25 15:59:58.303] tr_crypto_utils OpenSSL error: error:24064064:lib(36):func(100):reason(100) (crypto-utils-openssl.c:407)
[2018-06-25 15:59:58.303] web will verify tracker certs using envvar CURL_CA_BUNDLE: none (web.c:383)
[2018-06-25 15:59:58.303] web NB: this only works if you built against libcurl with openssl or gnutls, NOT nss (web.c:384)
[2018-06-25 15:59:58.303] web NB: invalid certs will show up as 'Could not connect to tracker' like many other errors (web.c:385)
[2018-06-25 15:59:58.303] tr_crypto_utils OpenSSL error: error:24064064:lib(36):func(100):reason(100) (crypto-utils-openssl.c:345)
[2018-06-25 15:59:58.303] tr_crypto_utils OpenSSL error: error:05067003:lib(5):func(103):reason(3) (crypto-utils-openssl.c:385)
[2018-06-25 16:00:06.302] tr_crypto_utils OpenSSL error: error:05066064:lib(5):func(102):reason(100) (crypto-utils-openssl.c:345)
[2018-06-25 16:00:06.302] tr_crypto_utils OpenSSL error: error:24064064:lib(36):func(100):reason(100) (crypto-utils-openssl.c:385)
[2018-06-25 16:00:08.302] tr_crypto_utils OpenSSL error: error:05067003:lib(5):func(103):reason(3) (crypto-utils-openssl.c:345)
[2018-06-25 16:00:08.302] tr_crypto_utils OpenSSL error: error:05066064:lib(5):func(102):reason(100) (crypto-utils-openssl.c:385)
[2018-06-25 16:00:32.302] tr_crypto_utils OpenSSL error: error:24064064:lib(36):func(100):reason(100) (crypto-utils-openssl.c:345)
[2018-06-25 16:00:32.302] tr_crypto_utils OpenSSL error: error:05067003:lib(5):func(103):reason(3) (crypto-utils-openssl.c:385)
ian5142
DD-WRT Guru


Joined: 23 Oct 2013
Posts: 1995
Location: Canada

PostPosted: Mon Jun 25, 2018 15:00    Post subject: OpenSSL Error Reply with quote
It looks like an OpenSSL error.

Did you try using the Entware repo instead: https://wiki.dd-wrt.com/wiki/index.php/Installing_Entware

It is better maintained then the Optware repo.

_________________
Before asking a question on the forums, update dd-wrt: Where do I download firmware? I suggest reading it all.

Some dd-wrt wiki pages are up to date, others are not. PM me if you find an old one, I am trying to update them.

Atheros:
TP-Link Archer C7 v2 x2 - WDS AP, WDS Station
TP-Link TL-WDR3600 v1 - WDS Station
TP-Link 841nd v8 - WDS Station
Linksys WRT400N - bricked
D-Link 615 C1 x 4 - not used
D-Link 615 E3 x 2 - WDS Station
D-Link 825 B1 - WDS Station
D-Link 862L A1 - WDS Station (Entware 3X)
Netgear WNDR3700v2 - WDS Station
TP-Link 1043nd v1, inactive, unstable hardware
UBNT loco M2 x2 - airOS

Broadcom
Asus N66U - backup Gateway
Netgear r6300 v1 - AP
Linksys E2500 - not used
Linksys EA2700 - not used
Linksys 160N v3 x2 - not used
Netgear WNDR3700v3 - not used
MediaTek
UBNT EdgeRouter X - Gateway, DHCP, QoS
Goto page Previous  1, 2, 3 ... 28, 29, 30 Display posts from previous:    Page 30 of 30
Post new topic   Reply to topic    DD-WRT Forum Forum Index -> Atheros WiSOC based Hardware All times are GMT

Navigation

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You cannot download files in this forum